Nano 主控板引导程序升级公告

自Arduino IDE编译器1.8.6版本以后,Arduino官方对NANO的bootloader进行了升级。自本文发布之日时,我司已经把全部ZBST NANO固件更新到了最新bootloader。

1.8.6以前的编译器版本,工具——处理器选项,只有一个ATmega328P选项和一个Atmega168选项。
1.8.6(含)以后的编译器版本,工具——处理器选项,增加了一项Atmega328p(old)选项。

如果您是19年5月20以前购买的我司CH340版NANO的话(少数用户可能拿到新BootLoader板子):
如果需要使用1.8.6以前的编译器,正常选Atmega328p选项即可
如果需要使用1.8.6(含)以后的编译器,选择Atmega328p(old)选项即可。

如果您是19年5月20日以后购买我司CH340版NANO的话:
如果老编译器版本不能用,请下载1.8.6(含)或最新版本编译器,处理器里面选择Atmega328P即可,不用选择old版。最新编译器官方下载地址:传送门

升级效果:
据说是增加了稳定性,但是具体哪方面的稳定性没有具体阐述,官方也没有对新的固件有一个说明,从实际使用情况看,对于以前的所有程序都没有啥影响。

但从长远看,编译器不断更新版本,终会停止支持旧版BootLoader的版本。估计1.9.X版本或2.X.X版本,但很遥远,不用去考虑这个事情,而且对于大多数用户而言,编译器的升级,对自己并没有什么影响。就像国五国六汽车一样,实际落地禁止国五汽车上路至少还得10年。

0
分享到:

评论0

请先

原Arduino365.com域名更改为品牌域名ultirobot.com,承载内容要将更丰富,网站也进行了改版,改善阅读体验。
没有账号? 忘记密码?